langcode: en
status: true
dependencies:
  config:
    - views.view.media_entity_browser
  module:
    - entity_browser_entity_form
    - views
name: media_entity_browser_modal
label: 'Media Entity Browser (Modal)'
display: modal
display_configuration:
  width: '1070'
  height: '500'
  link_text: 'Select media'
  auto_open: true
selection_display: no_display
selection_display_configuration: {  }
widget_selector: tabs
widget_selector_configuration: {  }
widgets:
  fc729026-c85f-4561-acd5-38d4082b69fb:
    settings:
      view: media_entity_browser
      view_display: media_browser_all
      submit_text: 'Select media'
      auto_select: false
    uuid: fc729026-c85f-4561-acd5-38d4082b69fb
    weight: -9
    label: 'Choose existing media'
    id: view
  9769d4e4-1f9c-4313-8b01-fe8cff8aa5a1:
    settings:
      entity_type: media
      bundle: image
      form_mode: default
      submit_text: 'Save image'
    uuid: 9769d4e4-1f9c-4313-8b01-fe8cff8aa5a1
    weight: -10
    label: 'Upload new image'
    id: entity_form
